StarObjectModelInternal::LayerSet Class Reference

Internal: class used to store a layer set and its data. More...

## Public Member Functions

| LayerSet ()
| constructor

## Public Attributes

librevenge::RVNGString | m_name
| the layer name
std::vector< bool > | m_memberList
| the list of member
std::vector< bool > | m_excludeList
| the list of exclude

## Friends

std::ostream & | operator<< (std::ostream &o, LayerSet const &layer)
| operator<<

## Detailed Description

Internal: class used to store a layer set and its data.

## Constructor & Destructor Documentation

## LayerSet()

StarObjectModelInternal::LayerSet::LayerSet | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | LayerSet const & | layer )

friend

operator<<

## Member Data Documentation

## m_excludeList

std::vector<bool> StarObjectModelInternal::LayerSet::m_excludeList

the list of exclude

Referenced by LayerSet(), operator<<, and StarObjectModel::readSdrLayerSet().

## m_memberList

std::vector<bool> StarObjectModelInternal::LayerSet::m_memberList

the list of member

Referenced by LayerSet(), operator<<, and StarObjectModel::readSdrLayerSet().

## m_name

librevenge::RVNGString StarObjectModelInternal::LayerSet::m_name

the layer name

Referenced by LayerSet(), operator<<, and StarObjectModel::readSdrLayerSet().

The documentation for this class was generated from the following file:

- StarObjectModel.cxx